Which ds/DSi carts work on luma 8.0?

Discussion in '3DS - Homebrew Development and Emulators' started by fowler002, Jun 6, 2017.

  1. fowler002
    OP

    fowler002 GBAtemp Regular

    Member
    299
    65
    Jan 3, 2013
    reading the release notes it mentions ds/DSi carts working from the home menu, any list of compatible carts? Or do we still need the twloader?

    I have a cyclo ds evolution, a r4i upgrade and a m3i zero(original not the updated version for the last DSi fw update). Will any of those work?
     


  2. Robz8

    Robz8 Coolest of TWL

    Member
    6,401
    2,684
    Oct 1, 2010
    United States
    If the icon for the CycloDS isn't shown in the HOME Menu, you'll still need TWLoader.
     
  3. fowler002
    OP

    fowler002 GBAtemp Regular

    Member
    299
    65
    Jan 3, 2013
    The icon is show, however when I try running it get an error telling me to press and hold the power button. The same thing that happened when I tried running it using the twloader on luma 6.6 a few months back.
     
  4. Aurora Wright

    Aurora Wright GBAtemp Advanced Maniac

    Member
    1,542
    4,095
    Aug 13, 2006
    Italy
    Can you see the screens turning off and then on again before the error, after you run the cart?
    Also, my Acekard RPG works fine and that's an original DS (not DSi) cart :)
     
  5. ivoyko

    ivoyko GBAtemp Fan

    Member
    352
    64
    Sep 13, 2009
    EOL DA ASCO
    A2ki working without issues.
     
  6. VictorMoreno015

    VictorMoreno015 GBAtemp Regular

    Member
    211
    61
    Mar 17, 2013
    United States
    Las Vegas
    If it helps, my R4i RTS 3DS (Kernel that says "なぞなぞ&クイズ一答入魂Qメイト!Konami Digital Entertainment" or something like that on the home menu) works without the need of TWLoader.
     
  7. fowler002
    OP

    fowler002 GBAtemp Regular

    Member
    299
    65
    Jan 3, 2013
    I think so
     
  8. OnenZ

    OnenZ Advanced Member

    Newcomer
    77
    4
    Sep 4, 2015
    Chile
    Valparaíso
    R4i SDHC v1.4.1 doesnt work. But it show on Home Menu with and without the whitelist. Get an error of "upgrade your firmware version blablabla" and its already on the latest version of firmware etc.
     
  9. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,088
    3,986
    Oct 7, 2007
    United States
    Levelland, Texas
    Luma patches out the DS Cart White list check in Home Menu now so many older carts can boot. However Luma doesn't yet patch out the arm7 code/ram entry address range limit. Your flashcart's internal NTR header likely uses an arm7 code/ram entry range that goes into that range it doesn't like. Hence the error. If they ever do patch that out of TWL_FIRM, I could imagine all the carts would boot from Home Menu then. :D

    Until then the only way you can boot it is through this:

    https://github.com/ApacheThunder/NTR_Launcher/releases
     
    Last edited by Apache Thunder, Jun 6, 2017
  10. Aurora Wright

    Aurora Wright GBAtemp Advanced Maniac

    Member
    1,542
    4,095
    Aug 13, 2006
    Italy
    "upgrade your firmware version" isn't a 3DS OS error, it's a flashcart software error (from the sound of it), so it doesn't count
     
    Ryccardo likes this.
  11. OnenZ

    OnenZ Advanced Member

    Newcomer
    77
    4
    Sep 4, 2015
    Chile
    Valparaíso
    But why? Before updating to a9lh to b9s (on v6.6 i think) this flashcard works. But then on the newest releases i cant get the flashcard work (tried every new release since the error appears.) So i dont think its a sofware error (i'm Not an expert, but if work on oldest version why not on the newest?)
     
  12. fowler002
    OP

    fowler002 GBAtemp Regular

    Member
    299
    65
    Jan 3, 2013
    Just tried the twloader just to see if it'd work, get the bootstrap not found error.
     
  13. SonicMC

    SonicMC GBAtemp Regular

    Member
    168
    51
    Dec 6, 2007
    United States
    Tested on a red o3ds
    Working:
    r4i Gold 3ds
    Blue Gateway
    acekard 2i
    m3i zero (spongebob update)

    Not Working:
    M3 Ds Real The icon shows up sometimes, but when you load it you get (an error has occurred press and hold power button to turn the system off)
    iPlayer ds video expert Stuck on white screen.

    edit:
    m3 ds real works with apache thunder's app!
     
    Last edited by SonicMC, Jun 6, 2017
  14. Robz8

    Robz8 Coolest of TWL

    Member
    6,401
    2,684
    Oct 1, 2010
    United States
    Did you extract the files/folders in the "sdroot" folder in TWLoader.7z to your SD card root?
     
  15. somethingwet

    somethingwet Member

    Newcomer
    14
    11
    Sep 19, 2016
    Canada
    Acekard 2 (non-dsi) works
     
  16. fowler002
    OP

    fowler002 GBAtemp Regular

    Member
    299
    65
    Jan 3, 2013
    I got the twloader from the titledb on fbi and the nand side from the qr from the thread on here.
    I'm not sure which "fw" the cart currently has installed, not sure if it's the latest(2.3) or not will have to check.
     
  17. Omegapsy

    Omegapsy Advanced Member

    Newcomer
    80
    19
    Feb 20, 2012
    United States
    I too am curious to see if this works, I've got a cyclo but I can never get it to show let alone boot.
     
  18. regnad

    regnad Button Masher

    Member
    1,699
    342
    May 19, 2008
    EZ Flash Vi continues to be defeated by the 3DS :(
     
  19. Trylk248

    Trylk248 GBAtemp Regular

    Member
    235
    38
    Oct 31, 2012
    Canada
    The DSTTi works on Luma.
     
    Yepi69 likes this.
  20. fowler002
    OP

    fowler002 GBAtemp Regular

    Member
    299
    65
    Jan 3, 2013
    Well just tried it, the cyclods evo worked even on 1.54 fw(last update was 2.3 from what I've read). Well worked as in it loaded the cart, tried running a game which ran tho not done much more testing than that.